Name: sweets-locales
Version: 0.4
Release: 16.1
Group: Development/System
Summary: Prebuilt extra locales
License: LGPLv2+
Url: http://wiki.sugarlabs.org/go/Sweets_Distribution

Source: %{name}-%{version}.tar.gz

BuildArch: noarch

%description
Prebuilt locales that not yet upstreamed.

%prep
%setup -q

%build
locales="af am ar bg bi bn ca cpp cs da de dz el en es fa ff fil fr gu ha he hi ht hu id ig is it ja km ko kos mg mi mk ml mn mr ms mvo nb ne nl pa pap pl ps pt ro ru rw sd si sk sl sq sv sw ta te th tr tvl tzo ug ur vi wa yo zh ayc quz"
mkdir -p ./%{_libdir}/locale
./locale-gen "$locales" --alias-file %{_datadir}/locale/locale.alias --prefix . -c

%install
install -m 0644 -D ./%{_libdir}/locale/locale-archive %{buildroot}/%{_libdir}/locale/locale-archive
# Sweets Distribution based XO images will restore locale-archive
# from /etc/sweets.d/ if original locale-archive was changed, e.g.,
# after glibc update
install -m 0644 -D ./%{_libdir}/locale/locale-archive %{buildroot}/etc/sweets.d/%{_libdir}/locale/locale-archive

%files
%defattr(-,root,root,-)
%{_libdir}/locale/locale-archive
/etc/sweets.d/%{_libdir}/locale/locale-archive

%changelog
